Subject: hpff-interpret: Is the owner of "shadow elements" a real owner?

From: [email-masked] (Yasuharu Hayashi)
Date: Fri, 10 Jan 97 21:19:00 JST

---------------------------------------------------------------------------
[email-masked] is a mailing list for corrections,
clarifications, and interpretations related to High Performance Fortran.
Instructions for adding or deleting yourself from this list appear at the
bottom of this message.
---------------------------------------------------------------------------

Dear HPFF:

I have a question about the interpretation of SHADOW attribute.

      REAL A(10),B(10)
!HPF$ PROCESSORS P(2)
!HPF$ DISTRIBUTE (BLOCK) ONTO P :: A,B
!HPF$ SHADOW A(1:0)

!HPF$ INDEPENDENT
      DO I=1,10
!HPF$ ON HOME(A(I))
	B(I) = A(I)
      ENDDO
       
In this case, the ON directive indicates both P(1) and P(2) execute
the assignment statement B(5) = A(5) in the loop,
because P(2) is the owner of the "shadow element" A(5)
and of course P(1) is the owner of A(5).
Is this interpretation correct?

                                               Thanks,
                                                  Yasuharu Hayashi
-------------------------------------------------------------------
                            #          
       Yasuharu  Hayashi    #   NEC Corporation
                            #   [email-masked]     
-------------------------------------------------------------------

---------------------------------------------------------------------------
To (un)subscribe to this list, send mail to
[email-masked].
Leave the subject line blank, and in the body put the line
(un)subscribe <email-address>
---------------------------------------------------------------------------